% LQR Design for the Launch Vehicle
% Pitch Axis
[Api,Bpi,Cpi,Dpi]= pitch_des;                       % Load the Augm Pitch Design Model
sys=ss(Api,Bpi,Cpi,Dpi);                            % State Weights: [theta, q, alfa, alf_int]
Qp=diag([5.5, 0.01, 4.0e-6, 0.2]); Rp=1;            % State Weights: [0.1, 0.1, 1.0e-4, 4.e-2]
[Kq,S,E] = lqr(sys,Qp,Rp)
save Kq_t10.mat Kq -ascii                           % Save the LQR gains in Kpqr.mat

% Lateral Axis
[Ali,Bli,Cli,Dli]= later_des;                       % Load the Augm Lateral Design Model
sys=ss(Ali,Bli,Cli,Dli);                            % X Weights (phi, p,   psi, r,   beta,    beta_int)
Ql=diag([3.2 0.01  5.5  0.01 4.0e-6  0.2]);         % X Weights [2.5, 0.1, 8.0, 0.1, 1.0e-8 , 5.0e-4]
Rl=diag([0.5  1]);                                  % U Weights
[Kpr,S,E] = lqr(sys,Ql,Rl)
save Kpr_t10.mat Kpr -ascii                         % Save the LQR gains in Kpr.mat

