% LQR Design for the Launch Vehicle
% Pitch Axis
[Api,Bpi,Cpi,Dpi]= pitch_des;                       % Load the Augm Pitch Design Model
sys=ss(Api,Bpi,Cpi,Dpi);                            % State Weights: [theta, q, alfa, thet_int]
Qp=diag([1, 0.01, 19.0, 0.12]); Rp=0.8;             % State Weights: [ 1,   0.01, 19.0,  0.12]
[Kq,S,E] = lqr(sys,Qp,Rp)
save Kq_t120.mat Kq -ascii                          % Save the LQR gains in Kq.mat

% Lateral Axis
[Ali,Bli,Cli,Dli]= later_des;                       % Load the Augm Lateral Design Model
sys=ss(Ali,Bli,Cli,Dli);                            % X Weights (phi,p, psi,r,   beta, psi_int)
Ql=diag([9.0, 0.01, 1.0, 0.01, 8.0, 0.12]);         % X Weights [9,0.01, 1, 0.01, 8.0, 0.12]
Rl=diag([0.7  0.8]);                                % U Weights
[Kpr,S,E] = lqr(sys,Ql,Rl)
save Kpr_t120.mat Kpr -ascii                        % Save the LQR gains in Kpr.mat

