% LQR Design for the Launch Vehicle
% Pitch Axis
[Api,Bpi,Cpi,Dpi]= pitch_des;                       % Load the Augm Pitch Design Model
sys=ss(Api,Bpi,Cpi,Dpi);                            % State Weights: [theta, q, alfa, thet_int]
Qp=diag([5.5, 0.01, 0.01, 0.15]); Rp=1;             % State Weights: [5.5, 0.01, 0.01, 0.15]
[Kq,S,E] = lqr(sys,Qp,Rp)
save Kq_t30.mat Kq -ascii                           % Save the LQR gains in Kpqr.mat

% Lateral Axis
[Ali,Bli,Cli,Dli]= later_des;                       % Load the Augm Lateral Design Model
sys=ss(Ali,Bli,Cli,Dli);                            % X Weights (phi, p, psi, r, beta, psi_int)
Ql=diag([3.1  0.01  5.5  0.01  0.01  0.15]);        % X Weights [3.1 0.01 5.5 0.01 0.01  0.15]
Rl=diag([0.5  1]);                                  % U Weights
[Kpr,S,E] = lqr(sys,Ql,Rl)
save Kpr_t30.mat Kpr -ascii                         % Save the LQR gains in Kpr.mat

