% LQR Design for the Launch Vehicle
% Pitch Axis
[Api,Bpi,Cpi,Dpi]= pitch_des;                       % Load the Augm Pitch Design Model
sys=ss(Api,Bpi,Cpi,Dpi);                            % State Weights: [theta, q, alfa, alf_int]
Qp=diag([5.0, 0.01, 0.1, 0.0015]); Rp=1;            % State Weights: [5.0, 0.01, 0.1, 0.0015]
[Kq,S,E] = lqr(sys,Qp,Rp)
save Kq_t60.mat Kq -ascii                           % Save the LQR gains in Kpqr.mat

% Lateral Axis
[Ali,Bli,Cli,Dli]= later_des;                       % Load the Augm Lateral Design Model
sys=ss(Ali,Bli,Cli,Dli);                            % X Weights (phi, p,  psi, r,  beta, beta_int)
Ql=diag([4, 0.01, 5.0, 0.01, 0.1, 0.001]);          % X Weights [4, 0.01, 5., 0.01, 0.1, 0.001]
Rl=diag([0.5  1]);                                  % U Weights
[Kpr,S,E] = lqr(sys,Ql,Rl)
save Kpr_t60.mat Kpr -ascii                         % Save the LQR gains in Kpr.mat

