% LQR Design for Space Plane at T=80 sec
% Pitch Axis
[Ap,Bp,Cp,Dp]= pitch_rb_t80;                        % Load the Pitch Design Model
[Api,Bpi,Cpi,Dpi]= linmod('Pdes_int');              % Linearize Open-Loop Simulink model that uses combined plant
sys=ss(Api,Bpi,Cpi,Dpi);                            % State Weights: [theta, q, alfa, alf_int]
Qp=diag([5.0, 0.1, 10, 1.0e-6]);                % State Weights: [0.1, 0.1, 1.0e-4, 4.e-2]
Rp=0.4; 
[Kq,S,E] = lqr(sys,Qp,Rp)
save Kq_t80.mat Kq -ascii                           % Save the LQR gains in Kpqr.mat
% Kq = [2.6843  2.4144  0.1899  -0.064]             % [theta, q, alpha, alfa_int] []

% Lateral Axis
[Al,Bl,Cl,Dl]= later_rb_t80;                       % Load the Lateral Design Model
[Ali,Bli,Cli,Dli]= linmod('Ldes_int');             % Linearize Open-Loop Simulink model that uses combined plant
sys=ss(Ali,Bli,Cli,Dli);                           % X Weights (phi, p,   psi, r,   beta,    beta_int)
Ql=diag([3.2, 0.1, 5.0, 0.1, 19, 2.0e-2]);    % X Weights [2.5, 0.1, 8.0, 0.1, 1.0e-8 , 5.0e-4]
Rl=diag([0.5  0.4]);                               % U Weights
[Kpr,S,E] = lqr(sys,Ql,Rl)
save Kpr_t80.mat Kpr -ascii                        % Save the LQR gains in Kpr.mat
% Kpr = [
%  1.5886  1.8103  0.5500  0.0074  0.5433  0.0219
% -0.0047  0.0004  2.7744  3.0403 -1.8152 -0.0043]; ! phi,p, psi,r, beta, beta_int
[Ad,Bd,Cd,Dd]= plant_t80;
