% Pitch and Lateral LQR Design File LQR_design.m
clear all; d2r= pi/180; r2d=1/d2r;

% Pitch Axis
[Ap, Bp, Cp, Dp]= pitch_des;                % Load Vehicle Pitch Design Model
Q= diag([1.2, 0.1, 0.018]); R=3.0;          % Control & State Weights: [thet,q,thet_int]
[Kq, s, e] = lqr(Ap,Bp,Q,R)                 % State-Feedback Matrix
save Kq_t280.mat Kq -ascii

% Lateral Axis
[Al, Bl, Cl, Dl]= lateral_des;              % Load the Vehicle Lateral Design Model
Q= diag([1.0, 0.1,  1.2, 0.1, 0.018]);      % State Weights: [phi,p, psi,r, beta,psi_int]
R= diag([4.4, 3.0]);                            % Control Weights
[Kpr, s, e] = lqr(Al,Bl,Q,R)                % Lateral State-Feedback Matrix
save Kpr_t280.mat Kpr -ascii

