% Pitch and Lateral LQR Design File LQR_design.m
clear all; d2r= pi/180; r2d=1/d2r;

% Pitch Axis
[Ap, Bp, Cp, Dp]= pitch_des;                % Load Vehicle Pitch Design Model
Q= diag([1.3, 0.01, 0.035]); R=3.2;         % Control & State Wghts: [thet,q,thet_int]
[Kq, s, e] = lqr(Ap,Bp,Q,R)                 % State-Feedback Matrix
save Kq_t420.mat Kq -ascii

% Lateral Axis
[Al, Bl, Cl, Dl]= lateral_des;              % Load the Vehicle Lateral Design Model
Q= diag([1.0, 0.1,  1.3, 0.1, 0.035]);      % State Weights: [phi,p, psi,r, psi_int]
R= diag([2.0, 3.2]);                        % Control Weights
[Kpr, s, e] = lqr(Al,Bl,Q,R)                % Lateral State-Feedback Matrix
save Kpr_t420.mat Kpr -ascii

