function [Api, Bpi, Cpi, Dpi]= pitch_des
% Augmented Pitch Design Model                                                                        
% Create a 4-State Augmented Pitch Model that Includes Theta-Integral                               
Api= [
   0.00000000E+00   0.10000000E+01   0.00000000E+00
   0.00000000E+00   0.00000000E+00   0.00000000E+00
   0.10000000E+01   0.00000000E+00   0.00000000E+00
];

Bpi= [
   0.00000000E+00
   0.10120313E+01
   0.00000000E+00
];

Cpi= [
   0.10000000E+01   0.00000000E+00   0.00000000E+00
   0.00000000E+00   0.10000000E+01   0.00000000E+00
   0.00000000E+00   0.00000000E+00   0.10000000E+01
];

Dpi= [
   0.00000000E+00
   0.00000000E+00
   0.00000000E+00
];

%  Definition of State-Space System Variables

%  Inputs  =   1
%    1    Pitch TVC Command (DQ_tvc)                             
 
%  States  =   3
%    1    Pitch Attitude, theta  (rad)                           
%    2    Pitch Rate, q (rad/sec)                                
%    3    Theta-Integral (rad-sec)                               
 
%  Outputs =   3
%    1    Pitch Attitude, theta  (rad)                           
%    2    Pitch Rate, q (rad/sec)                                
%    3    Theta-Integral (rad-sec)                               
