%------------------------------------------
label='Launch Vehicle 6-dof Simulation';
d2r=pi/180; r2d=180/pi; f2nm=0.0001645788;
%------------------------------------------
figure (1)
subplot(2,1,1), plot(time,Euler*r2d, 'LineWidth',1.5)
title(label)
legend('phi','theta','psi');
ylabel('Euler Angles (deg)')

subplot(2,1,2), plot(time,Wb*r2d, 'LineWidth',1.5)
legend('P','Q','R');
ylabel('Body Rates (deg/sec)')
xlabel('Time sec')
%------------------------------------------
figure (2)
plot(time,gama, time,gamacm, 'LineWidth',1.5)
title('Flight-Path Angle and Gamma-comd (deg)')
legend('Gamma','Gamma-cmd');
ylabel('Gamma (deg)')
xlabel('Time sec')
%------------------------------------------
figure (24)
plot(time,albet*r2d, 'LineWidth',1.5)
title(label)
legend('Alpha','Beta');
ylim([-20,20])
ylabel('Alpha, Beta Angles (deg)')
xlabel('Time sec')
%------------------------------------------
figure (3)
subplot(2,1,1), plot(time,alti/1000, 'LineWidth',1.5)
title(label)
ylabel('Altitude, (K.feet)')

subplot(2,1,2), plot(time,dnr*f2nm, 'LineWidth',1.5)
ylabel('Down-Range (NMil)')
xlabel('Time sec')
%------------------------------------------
figure (4)
subplot(2,1,1), plot(time,V0, 'LineWidth',1.5)
title(label)
ylabel('Air Speed, (feet/sec)')

subplot(2,1,2), plot(time,Mach, 'LineWidth',1.5)
ylabel('Mach No')
xlabel('Time sec')
%------------------------------------------
figure (5)
subplot(2,1,1), plot(time,DY*r2d, 'LineWidth',1.5)
title(label)
title('Pitch and Yaw Engine Deflections, (deg)')
ylabel('Pitch Gimbals')

subplot(2,1,2), plot(time,DZ*r2d, 'LineWidth',1.5)
ylabel('Yaw Gimbals')
xlabel('Time sec')
%------------------------------------------
figure (6)
subplot(2,1,1), plot(time,Xpy*12, 'LineWidth',1.5)
title(label)
title('Pitch and Yaw Shaft Extensions, (inch)')
ylabel('Pitch Actuators')

subplot(2,1,2), plot(time,Xpz*12, 'LineWidth',1.5)
ylabel('Yaw Actuators')
xlabel('Time sec')
%------------------------------------------
figure (7)
subplot(2,1,1), plot(time,Vb, 'LineWidth',1.5)
title(label)
legend('Vbx','Vby','Vbz');
ylabel('Velocity in Body Axes, (ft/sec)')

subplot(2,1,2), plot(time,Axyz, 'LineWidth',1.5)
legend('Ax','Ay','Az');
ylabel('Measured Acceleration, (ft/sec^2)')
xlabel('Time sec')
%------------------------------------------
figure (8)
subplot(2,1,1), semilogy(time,MOI, 'LineWidth',1.5)
title(label)
legend('Ixx','Iyy','Izz');
ylabel('Moments of Inertia, (slug-ft^2)')

subplot(2,1,2), plot(time,CG, 'LineWidth',1.5)
legend('Xcg','Ycg','Zcg');
ylabel('CG Location (feet)')
xlabel('Time sec')
%------------------------------------------
figure (9)
subplot(2,1,1), semilogy(time,mass*32.174/1000, 'LineWidth',1.5)
title(label)
ylabel('Vehicle Weight, (Klb)')

subplot(2,1,2), plot(time,CG(:,1), 'LineWidth',1.5)
ylabel('XCG Location (feet)')
xlabel('Time sec')
%------------------------------------------
figure (10)
subplot(2,1,1), plot(time,Qbar, 'LineWidth',1.5)
title(label)
ylabel('Dynamic Pressure (PSF)')

subplot(2,1,2), plot(time,Qalfa*r2d, 'LineWidth',1.5)
legend('Qalfa','Qbeta');
ylabel('Qalpha, Qbeta (PSF*deg)')
xlabel('Time sec')
%------------------------------------------
figure (11)
plot(dnr*f2nm,alti/1000, 'LineWidth',1.5)
title(label)
ylabel('Altitude (K.feet)')
xlabel('Down-Range (NMi)')
%------------------------------------------
figure (12)
subplot(2,1,1), plot(east*f2nm, north*f2nm, 'LineWidth',1.5)
title(label)
xlabel('East-Range (NMi)')
ylabel('North-Range (NMi)')

subplot(2,1,2), plot(time,direct*r2d, 'LineWidth',1.5)
ylabel('Heading Direction (deg)')
xlabel('Time sec')
%------------------------------------------
figure (13)
plot(long,latit, long2,latit2, 'LineWidth',1.5)
title('Longitude versus Latitude in (degrees)')
legend('Vehicle','Reference');
xlabel('Longitude (deg)')
ylabel('Latitude (deg)')
%------------------------------------------
figure (14)
Flds2=Flds;
Flds2(:,1)=-Flds(:,1);
plot(time,Flds2/1000, 'LineWidth',1.5)
title('Lift, Forward, and Lateral Side Forces')
legend('Lift','Forward','Side');
ylabel('Forces, (K.lb)')
xlabel('Time sec')
%------------------------------------------
figure (16)
plot(time,Inclin*r2d, time,Inclin2*r2d, 'LineWidth',1.5)
title('Inclination')
legend('Inclination','Inclin-ref');
ylabel('(deg)')
xlabel('Time sec')
%------------------------------------------
figure (17)
plot(time,thet*r2d, time,thec, 'LineWidth',1.5)
title('Theta and Theta-Command')
legend('Theta','Theta-cmd');
ylabel('(deg)')
xlabel('Time sec')
%------------------------------------------
figure (15)
subplot(2,1,1), plot(time,Teng/1000, 'LineWidth',1.5)
title('Engine and RCS Thrusts')
legend('Stage-1','Stage-2');
ylabel('Stage Thrusts, (Klb)')

subplot(2,1,2), plot(time,RCS, 'LineWidth',1.5)
ylabel('RCS Thrust (lb)')
xlabel('Time sec')
%------------------------------------------
figure (18)
subplot(2,1,1), semilogy(time,abs(Qer)*r2d, 'LineWidth',1.5)
title('Quaternion Error and RCS Fuel')
ylim([0.01,20])
legend('Roll','Pitch','Yaw');
ylabel('(deg)')

subplot(2,1,2), plot(time,Fuel, 'LineWidth',1.5)
ylabel('Fuel (lb)')
xlabel('Time sec')
%------------------------------------------
figure (19)
plot(east,north, 'LineWidth',1.5)
title('North versus East in (feet)')
xlabel('East (ft)')
ylabel('North (ft)')
%------------------------------------------
figure (20)
semilogy(time,abs(gamerr), 'LineWidth',1.5)
ylim([0.001,4])
ylabel('(deg)')
title('Gamma Error (deg)')
xlabel('Time sec')
%------------------------------------------
figure (21)
semilogy(time,abs(Dincl), 'LineWidth',1.5)
ylim([0.0001,1])
ylabel('(deg)')
title('Inclination Error (deg)')
xlabel('Time sec')
%------------------------------------------
figure (22)
plot(time,Power, 'LineWidth',1.5)
title('Actuator Combined Power (ShaftForce * ShaftVeloc)')
ylabel('Power (Watts)')
xlabel('Time sec')
%------------------------------------------
figure (31)
subplot(2,1,1), plot(time, Xsa, 'LineWidth',1.5)
title('Slosh Mass Position Relative to Tank Attachm (ft)')
legend('Xs','Ys','Zs');
ylabel('LOX Mass Posit.')

subplot(2,1,2), plot(time, Xsb, 'LineWidth',1.5)
legend('Xs','Ys','Zs');
ylabel('LH2 Mass Posit.')
xlabel('Time')
%------------------------------------------
figure (32)
subplot(2,1,1), plot(time, Xsda, 'LineWidth',1.5)
title('Slosh Mass Velocity wrt Tank (ft/sec)')
legend('Xsd','Ysd','Zsd');
ylabel('LOX Mass Veloc.')

subplot(2,1,2), plot(time, Xsdb, 'LineWidth',1.5)
legend('Xsd','Ysd','Zsd');
ylabel('LH2 Mass Veloc.')
xlabel('Time')
%------------------------------------------
figure (33)
subplot(2,1,1), plot(time, theta*r2d, 'LineWidth',1.5)
title('Pendulum Angle Theta wrt Tank Centerline (deg)')
ylabel('LOX Pend Angle')

subplot(2,1,2), plot(time, thetb*r2d, 'LineWidth',1.5)
ylabel('LH2 Pend Angle')
xlabel('Time')
%------------------------------------------
figure (34)
subplot(2,1,1), plot(time, Wsla*r2d, 'LineWidth',1.5)
title('Pendulum Angular Rate (deg/sec)')
ylabel('LOX Angl Rate')

subplot(2,1,2), plot(time, Wslb*r2d, 'LineWidth',1.5)
ylabel('LH2 Angl Rate')
xlabel('Time')
%------------------------------------------
figure (35)
subplot(2,1,1), plot(time, dela*12, 'LineWidth',1.5)
title('Elastic String Extension (inches)')
ylabel('LOX String')

subplot(2,1,2), plot(time, delb*12, 'LineWidth',1.5)
ylabel('LH2 String')
xlabel('Time')
%------------------------------------------
figure (36)
subplot(2,1,1), plot(time, Fva, 'LineWidth',1.5)
title('Slosh Forces on Vehicle (lbf)')
legend('Fy_{LOX}','Fz_{LOX}');
ylabel('LOX Force')

subplot(2,1,2), plot(time, Fvb, 'LineWidth',1.5)
legend('Fy_{LH2}','Fz_{LH2}');
ylabel('LH2 Force')
xlabel('Time')
%------------------------------------------

